loci.formats.in

## Class OpenlabReader.PlaneInfo

- java.lang.Object
- - loci.formats.in.OpenlabReader.PlaneInfo

- Enclosing class:
    OpenlabReader

      protected class OpenlabReader.PlaneInfo
      extends java.lang.Object

  Helper class for storing plane info.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `channelName`
    `protected boolean` | `compressed`
    `protected int` | `height`
    `protected boolean` | `pict`
    `protected java.lang.String` | `planeName`
    `protected long` | `planeOffset`
    `protected int` | `series`
    `protected int` | `timepoint`
    `protected long` | `timestamp`
    `protected int` | `volumeType`
    `protected int` | `wavelength`
    `protected int` | `width`
    `protected int` | `zPosition`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PlaneInfo()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### planeOffset

          protected long planeOffset

    - #### zPosition

          protected int zPosition

    - #### wavelength

          protected int wavelength

    - #### timepoint

          protected int timepoint

    - #### planeName

          protected java.lang.String planeName

    - #### timestamp

          protected long timestamp

    - #### pict

          protected boolean pict

    - #### compressed

          protected boolean compressed

    - #### volumeType

          protected int volumeType

    - #### width

          protected int width

    - #### height

          protected int height

    - #### series

          protected int series

    - #### channelName

          protected java.lang.String channelName

  - ### Constructor Detail

    - #### PlaneInfo

          protected PlaneInfo()

Copyright © 2026 Open Microscopy Environment